/**
 * NullFlavor.java
 *
 * File generated from the medication::NullFlavor uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NullFlavor.
 *
 * 
 */

@XmlType(name = "NullFlavor")
@XmlEnum
@XmlRootElement(name = "NullFlavor")
public enum NullFlavor {
	@XmlEnumValue("NP")
	NP("NP"),
	@XmlEnumValue("NI")
	NI("NI"),
	@XmlEnumValue("MSK")
	MSK("MSK"),
	@XmlEnumValue("NA")
	NA("NA"),
	@XmlEnumValue("OTH")
	OTH("OTH"),
	@XmlEnumValue("NINF")
	NINF("NINF"),
	@XmlEnumValue("PINF")
	PINF("PINF"),
	@XmlEnumValue("UNK")
	UNK("UNK"),
	@XmlEnumValue("NASK")
	NASK("NASK"),
	@XmlEnumValue("TRC")
	TRC("TRC"),
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    NullFlavor(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static NullFlavor fromValue(String v) {
        for (NullFlavor c: NullFlavor.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}